#include <stdio.h>
#include <stdlib.h>
int A[200000];
double p[200000];
double iznos[200000];
int main()
{
    int n;
    scanf("%i",&n);
    int i;
    for(i=0; i<n; i++)
    {
        scanf("%i",&A[i]);
        scanf("%lf",&p[i]);
        p[i] /= 100;
    }
    double max;
    int j;
    for(i=0; i<n; i++)
    {
        for(j=0; j<n; j++)
        {
            if(p[i] > p[j])
            {
                continue;
            }
            else
            {
                iznos[i] += A[j] * p[i];
            }
        }
        if (i==0)
        {
            max = iznos[0];
            continue;
        }
        if(iznos[i] > max)
        {
            max = iznos[i];
        }
    }
    printf("%lf",max);
    
    
    
    
    
    return 0;
}